function init()
  light = FindLight("light")
  lightEnabled = false
  SetLightEnabled(light, false)
  motor = FindJoint("motor")
  motorSpeed = 4
  vehicle = FindVehicle("madmax", true)
end

function tick()
  -- get current player vehicle
  local playerVehicle = GetPlayerVehicle()
  --DebugPrint("Player Vehicle: " .. playerVehicle .. " we want " .. vehicle)
  -- is player in vehicle and is the vehicle the one we want
  if playerVehicle ~= 0 and playerVehicle == vehicle then
    --DebugPrint("Sitting in right vehicle")
    -- did player press the switch button?
    if InputPressed("i") ~= false then
      --DebugPrint("Light Button Pressed")
      -- flip on/off boolean
      lightEnabled = not lightEnabled
      -- act on the just changed boolean
      if lightEnabled then
        SetJointMotor(motor, motorSpeed)
        SetLightEnabled(light, true)
        --DebugPrint("Light enabled")
      else
        SetJointMotor(motor, 0)
        SetLightEnabled(light, false)
        --DebugPrint("Light disabled")
      end
    end
  end
end